### Virtual Method

# RB RhythmDB impl_do_full_query

#### Declaration [src]

    void
    impl_do_full_query (
      RhythmDB* db,
      RhythmDBQuery* query,
      RhythmDBQueryResults* results,
      gboolean* cancel
    )

#### Description

No description available.

#### Parameters

`query`

  Type: `RhythmDBQuery`

  No description available.

  The data is owned by the caller of the method.

`results`

  Type: `RhythmDBQueryResults`

  No description available.

  The data is owned by the caller of the method.

`cancel`

  Type: `gboolean*`

  No description available.

  The data is owned by the caller of the method.